$(document).ready(function() {
// Cambio de contraseña al editar
	$('body').on('click', '#m_password_change', function(event) {
		var action = $('#m_password_change').hasClass('active');

		if (!action) {
			$('#m_password').val('').prop('disabled', false).focus();
			$('#m_password_change').toggleClass('active', true);
			$('#m_password_change').html('<i class="fa fa-fw fa-times"></i> Cancelar');
		} else {
			$('#m_password').val('            ').prop('disabled', true);
			$('#m_password_change').html('<i class="fa fa-fw fa-pencil"></i> Cambiar');
			$('#m_password_change').toggleClass('active', false);
		}

	});

	$('body').on('click', '#guardar-cambios', function(event) {
		event.preventDefault();
		$('<input type="submit">').hide().appendTo('#frm-editar-abogado').click().remove();
	});

	$('body').on('submit', '#frm-editar-abogado', function(event) {
		event.preventDefault();

		$('#guardar-cambios').button('loading');
		
		$.ajax({
			url: base_url()+'admin/set-abogado',
			type: 'POST',
			dataType: 'JSON',
			data: $('#frm-editar-abogado').serialize(),
		})
		.done(function(response) {
			var status = response.status;

			if(status == 'ok'){
				$('#guardar-cambios').button('ok');
				$('#guardar-cambios').toggleClass('btn-primary btn-success');
				setTimeout(function () {
					$('#guardar-cambios').button('reset');
					$('#guardar-cambios').toggleClass('btn-primary btn-success');
					$('#md-editar-abogado').modal('hide');
				}, 3000);
			} else if (status == 'error') {
				if (response.msg != '-') {
					alert(response.msg);
				}
				$('#guardar-cambios').button('error');
				$('#guardar-cambios').toggleClass('btn-primary btn-danger');
				setTimeout(function () {
					$('#guardar-cambios').button('reset');
					$('#guardar-cambios').toggleClass('btn-primary btn-danger');
				}, 3000);
			}
		})
		.fail(function() {
			$('#guardar-cambios').button('error');
			$('#guardar-cambios').toggleClass('btn-primary btn-danger');
			setTimeout(function () {
					$('#guardar-cambios').button('reset');
					$('#guardar-cambios').toggleClass('btn-primary btn-danger');
				}, 3000);
		})
		.always(function() {
			console.log("complete");
		});
		
	});

	// Resetear formulario al cerrar el modal
	$('body').on('hidden.bs.modal', '#md-editar-abogado', function(event) {
		$('#m_password').prop('disabled', true);
		$('#m_password_change').prop('disabled', true);
		$('#frm-editar-abogado').trigger('reset');
		$('#m_password_change').html('<i class="fa fa-fw fa-pencil"></i> Cambiar');
		$('#m_password_change').toggleClass('active', false);
		$('#idabogado').val('');
		$('#idpersona').val('');
	});

	$('body').on('click', '#btn-nuevo-abogado', function(event) {
		$('#m_password').prop('disabled', false);
		$('#md-editar-abogado').modal('show');
	});

	$('body').on('click', '.editar-abogado', function(event) {
		var abogado = $(this).data('abogado');

		$.ajax({
			url: base_url()+'admin/get-abogado',
			type: 'POST',
			dataType: 'JSON',
			data: {abogado: abogado},
		})
		.done(function(response) {
			if (response.length > 0) {
				var data = response[0];

				$('#nombres').val(data.nombres);
				$('#apellidop').val(data.apellidop);
				$('#apellidom').val(data.apellidom);
				$('#correo').val(data.correo);
				$('#tipo_usuario').val(data.tipo_usuario);
				$('#idabogado').val(data.idabogado);
				$('#cedula').val(data.cedula);
				$('#idpersona').val(data.idpersona);
				$('#m_password').val('            ');
				$('#m_password_change').prop('disabled', false);


				$('#md-editar-abogado').modal('show');
			}
		})
		.fail(function() {
			console.log("error");
		})
		.always(function() {
			console.log("complete");
		});
		
	});

	$('body').on('click', '.act-desact-abogado', function(event) {
		event.preventDefault();
		
		var idabogado = $(event.currentTarget).data('abogado');
		var tipo = $(event.currentTarget).data('tipo');
		var msg = '';

		if (tipo == 1) {
			msg = "¿Activar usuario? Esto permite que el usuario pueda acceder al sistema.";
		} else if (tipo == 0) {
			msg = "¿Desactivar usuario? El usuario ya no podrá acceder al sistema.";
		}

		bootbox.confirm({
			message: msg,
			buttons: {
				confirm: {
					label: 'Si',
					className: 'btn-primary'
				},
				cancel: {
					label: 'No',
					className: 'btn-default'
				}
			},
			callback: function (result) {
				if(result){
					$.ajax({
						url: base_url() + 'admin/act-desact',
						type: 'post',
						dataType: 'json',
						data: {	idabogado: idabogado,
								tipo: tipo
						},
					})
					.done(function() {
						console.log("success");
					})
					.fail(function() {
						console.log("error");
					})
					.always(function() {
						location.reload();
					});	
				}
			}
		});
	});

	$('[data-tooltip="tooltip"]').tooltip();

});