$( window ).load(function loadComboData()
{
    GetComboData('', 'consulta-materia', 'materias', true);
});

$('#nombres').autocomplete({
    serviceUrl: base_url() + 'consultor/cliente_autocomplete',
    onSelect: function (suggestion) {
        $('#idcliente').val(suggestion.data);
        cargar_casos(suggestion.data);
    }
});

$('#fecha-apertura').datetimepicker({
	format: 'YYYY/MM/D',
	locale: 'es'
});

$('#md-editar-consulta').on('show.bs.modal', function(event) {
	var consultaId = $(event.relatedTarget).data('cid');
	var mode = $(event.relatedTarget).data('mode');

	const newAction	= base_url() + "consultor/nueva_consulta";
	const editAction = base_url() + "consultor/guardar_consulta";

	var action = '';

	if(mode == 'new'){
		$('#row-respuesta').toggleClass('hidden', true);

		$('#modal-title').text('Nueva consulta');
		action = newAction;

		$('#nombres').val('');
		$('#caso').val('');
		$('#contenido').val('');
		$('#materia').val('');
		$('#tema').val('');
		$('#tema').get(0).options.length = 0;
		$('#subtema').val('');
		$('#subtema').get(0).options.length = 0;
		$('#contenido').val('');
		$('#guardar-cambios').val('');
		$('#respuesta').val('');
		$('#respuesta').val('');
		$('#fecha').val('');

		$('#nombres').prop('disabled', false);
		$('#caso').prop('disabled', false);
		$('#contenido').prop('disabled', false);
		$('#materia').prop('disabled', false);
		$('#tema').prop('disabled', false);
		$('#subtema').prop('disabled', false);
		$('#contenido').prop('disabled', false);
		$('#guardar-cambios').prop('disabled', false);
		$('#fecha').prop('disabled', false);

	}

	if(mode == 'edit'){
		$('#row-respuesta').toggleClass('hidden', false);
		$('#modal-title').text('Ver consulta');

		$.ajax({
			url: base_url() + 'consultor/leer_consulta',
			type: 'POST',
			dataType: 'json',
			data: {idconsulta: consultaId},
		})
		.done(function(response) {
			var consulta = response[0];

			jQuery.ajaxSetup({async:false});

			GetComboData(consulta.materia,'tema','temas',true);
    		GetComboData(consulta.tema,'subtema','subtemas',true);

    		jQuery.ajaxSetup({async:true});

			$('#nombres').val(consulta.apellidop+' '+consulta.apellidom+', '+ consulta.nombres);
			$('#caso').val(cargar_caso(consulta.idcaso));
			$('#contenido').val(consulta.contenido);
			$('#consulta-materia').val(consulta.materia);
			$('#tema').val(consulta.tema);
			$('#subtema').val(consulta.subtema);
			$('#contenido').val(consulta.contenido);
			$('#respuesta').val(consulta.respuesta);
			$('#fecha').val(consulta.fecha);

			$('#nombres').prop('disabled', true);
			$('#caso').prop('disabled', true);
			$('#contenido').prop('disabled', true);
			$('#consulta-materia').prop('disabled', true);
			$('#tema').prop('disabled', true);
			$('#subtema').prop('disabled', true);
			$('#contenido').prop('disabled', true);
			$('#guardar-cambios').prop('disabled', true);
			$('#fecha').prop('disabled', true);
		})
		.fail(function() {
			console.log("error");
		});
		

		action = editAction;
	}

	// $.ajax({
	// 	url: action,
	// 	type: 'POST',
	// 	dataType: 'json',
	// 	data: {idconsulta: consultaId},
	// })
	// .done(function(response) {
	// 	$('')
	// })
	// .fail(function() {
		
	// })
	// .always(function() {
		
	// });
	


});


$("#frm-editar-consulta").on('submit', function() {
	var formData = $("#frm-editar-consulta").serializeArray();

	$.ajax({
		url: base_url() + 'consultor/nueva-consulta',
		type: 'POST',
		dataType: 'json',
		data: formData,
	})
	.done(function() {
		$('#md-editar-consulta').modal('hide');
		location.reload();
	})
	.fail(function() {
		console.log("error");
	});
	

	return false;
});


// $('#guardar-cambios').on('click', function(event) {

// 	$("#frm-editar-consulta").validate({
//   submitHandler: function(form) {
//     // do other things for a valid form
//     form.submit();
//   }
// });

// });

$('#caso').change(function(event) {
	
	 if ($(this).find(':selected').val() === 'nuevocaso') {
	 	$(location).attr('href',base_url() + 'consultor/expediente');
	 }
});

function cargar_caso (idCaso) {
	var casoSinopsis = '';

	$.ajax({
		url: base_url() + 'consultor/leer-caso',
		type: 'POST',
		dataType: 'json',
		async: false,
		data: {idcaso: idCaso},
	})
	.done(function(response) {
		var caso = response[0];
		casoSinopsis = caso.sinopsis;
	})
	.fail(function() {
		console.log("error");
	})
	.always(function() {
		console.log("complete");
	});

	return casoSinopsis;
}

$('[data-tooltip="tooltip"]').tooltip();